curl --request PUT \
--url https://staging.crossmint.com/api/2025-06-09/users/{userLocator} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <x-api-key>' \
--data '
{
"userDetails": {
"firstName": "John",
"lastName": "Doe",
"dateOfBirth": "1990-01-15",
"countryOfResidence": "US"
},
"kycData": {
"nationality": "US",
"addressOfResidence": {
"line1": "123 Main Street",
"line2": "Apt 4B",
"city": "New York",
"stateOrRegion": "NY",
"postalCode": "10001"
},
"email": "john.doe@example.com",
"phoneNumber": "+1234567890",
"identityDocument": {
"type": "ssn",
"number": "123-45-6789",
"issuingCountryCode": "US"
}
},
"verificationHistory": {
"idVerificationTimestamp": "2024-01-15T10:30:00Z",
"livenessVerificationTimestamp": "2024-01-15T10:32:00Z"
},
"dueDiligence": {
"employmentStatus": "full-time",
"sourceOfFunds": "salary-disbursement",
"industry": "financial-institution",
"estimatedYearlyIncome": "income-50k-100k",
"expectedYearlyTxVolume": "volume-25k-75k"
}
}
'import requests
url = "https://staging.crossmint.com/api/2025-06-09/users/{userLocator}"
payload = {
"userDetails": {
"firstName": "John",
"lastName": "Doe",
"dateOfBirth": "1990-01-15",
"countryOfResidence": "US"
},
"kycData": {
"nationality": "US",
"addressOfResidence": {
"line1": "123 Main Street",
"line2": "Apt 4B",
"city": "New York",
"stateOrRegion": "NY",
"postalCode": "10001"
},
"email": "john.doe@example.com",
"phoneNumber": "+1234567890",
"identityDocument": {
"type": "ssn",
"number": "123-45-6789",
"issuingCountryCode": "US"
}
},
"verificationHistory": {
"idVerificationTimestamp": "2024-01-15T10:30:00Z",
"livenessVerificationTimestamp": "2024-01-15T10:32:00Z"
},
"dueDiligence": {
"employmentStatus": "full-time",
"sourceOfFunds": "salary-disbursement",
"industry": "financial-institution",
"estimatedYearlyIncome": "income-50k-100k",
"expectedYearlyTxVolume": "volume-25k-75k"
}
}
headers = {
"X-API-KEY": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-KEY': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userDetails: {
firstName: 'John',
lastName: 'Doe',
dateOfBirth: '1990-01-15',
countryOfResidence: 'US'
},
kycData: {
nationality: 'US',
addressOfResidence: {
line1: '123 Main Street',
line2: 'Apt 4B',
city: 'New York',
stateOrRegion: 'NY',
postalCode: '10001'
},
email: 'john.doe@example.com',
phoneNumber: '+1234567890',
identityDocument: {type: 'ssn', number: '123-45-6789', issuingCountryCode: 'US'}
},
verificationHistory: {
idVerificationTimestamp: '2024-01-15T10:30:00Z',
livenessVerificationTimestamp: '2024-01-15T10:32:00Z'
},
dueDiligence: {
employmentStatus: 'full-time',
sourceOfFunds: 'salary-disbursement',
industry: 'financial-institution',
estimatedYearlyIncome: 'income-50k-100k',
expectedYearlyTxVolume: 'volume-25k-75k'
}
})
};
fetch('https://staging.crossmint.com/api/2025-06-09/users/{userLocator}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userDetails": true,
"kycData": false,
"dueDiligence": false,
"verificationHistory": false,
"email": "john.doe@example.com",
"phoneNumber": "+1234567890",
"userId": "usr_1234567890",
"legalDocuments": {
"type": "crossmint-privacy-policy",
"acceptedAt": "2023-01-01T00:00:00.000Z",
"isValidVersion": true
}
}{
"userDetails": true,
"kycData": false,
"dueDiligence": false,
"verificationHistory": false,
"email": "john.doe@example.com",
"phoneNumber": "+1234567890",
"userId": "usr_1234567890",
"legalDocuments": {
"type": "crossmint-privacy-policy",
"acceptedAt": "2023-01-01T00:00:00.000Z",
"isValidVersion": true
}
}Create or Update User
Create or update a user and their personal data by user locator. If the user doesn’t exist, they will be created.
API scope required: users.create
Headers
API key required for authentication
Path Parameters
A user locator can be of the format:
email:<email>userId:<userId>phoneNumber:<phoneNumber>twitter:<handle>x:<handle>
Body
Optional user details including name, date of birth, and country of residence
Show child attributes
Show child attributes
{
"firstName": "John",
"lastName": "Doe",
"dateOfBirth": "1990-01-15",
"countryOfResidence": "US"
}
Optional KYC data for identity verification
Show child attributes
Show child attributes
{
"nationality": "US",
"addressOfResidence": {
"line1": "123 Main Street",
"line2": "Apt 4B",
"city": "New York",
"stateOrRegion": "NY",
"postalCode": "10001"
},
"email": "john.doe@example.com",
"phoneNumber": "+1234567890",
"identityDocument": {
"type": "ssn",
"number": "123-45-6789",
"issuingCountryCode": "US"
}
}
Optional verification timestamps.
Show child attributes
Show child attributes
{
"idVerificationTimestamp": "2024-01-15T10:30:00Z",
"livenessVerificationTimestamp": "2024-01-15T10:32:00Z"
}
Optional due diligence information for compliance purposes
- Option 1
- Option 2
Show child attributes
Show child attributes
{
"employmentStatus": "full-time",
"sourceOfFunds": "salary-disbursement",
"industry": "financial-institution",
"estimatedYearlyIncome": "income-50k-100k",
"expectedYearlyTxVolume": "volume-25k-75k"
}
Response
User updated
Whether user details have been provided
true
Whether KYC data has been provided
false
Whether due diligence data has been provided
false
Whether verification history has been provided
false
User's email address
"john.doe@example.com"
User's phone number
"+1234567890"
Unique user identifier
"usr_1234567890"
List of accepted legal documents
Show child attributes
Show child attributes
{
"type": "crossmint-privacy-policy",
"acceptedAt": "2023-01-01T00:00:00.000Z",
"isValidVersion": true
}
Was this page helpful?

